Bug 110555 - max %CPU capped to 99.9 (top, ps), wrong for SMP
max %CPU capped to 99.9 (top, ps), wrong for SMP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Karel Zak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 22:50 EST by Emy Parparita
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 06:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch fixing max %CPU for top and ps on SMP (6.84 KB, patch)
2003-11-20 22:54 EST, Emy Parparita
no flags Details | Diff

  None (edit)
Description Emy Parparita 2003-11-20 22:50:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
Max %CPU is capped to 99.9% which is wrong on multiple CPU when
threads are collapsed; it should have been capped to number_of_cpu*100
- 0.1. Also the %CPU column width should be increased depeding upon
number_of_cpu to accomodate > 99.9 .



Version-Release number of selected component (if applicable):
procps-2.0.11-6

How reproducible:
Always

Steps to Reproduce:
1.Start a test program creates a number of CPU hog threads (while 1's)
on a multiple CPU host.
2.Run top/ps whith threads collapsed.
3.
    

Actual Results:  
                                                                     
                                       
  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME CPU COMMAND
 4218 emy       21   0   392  392   320 S    99.9  0.0   2:18   1 threads
 3655 root      15   0 82216  23M  2916 S     1.7  4.6   1:12   0 X
 

Expected Results:                                                    
                                                         
  PID USER     PRI  NI  SIZE  RSS SHARE STAT  %CPU %MEM   TIME CPU COMMAND
 4218 emy       21   0   392  392   320 S    196.2  0.0   4:32   1 threads
 

Additional info:

Patch is available.
Comment 1 Emy Parparita 2003-11-20 22:54:41 EST
Created attachment 96112 [details]
Patch fixing max %CPU for top and ps on SMP

Apply as patch# 3 after nptl2
Comment 2 Daniel Walsh 2004-03-25 13:58:52 EST
Could you check this against procps-3.1.15 in rawhide?
Comment 3 Emy Parparita 2004-04-06 21:01:53 EDT
Couldn't find any procps-3 at rawhide.redhat.com/pub should I have
looked somewhere else?

Note You need to log in before you can comment on or make changes to this bug.